import axios from 'axios'
import Vue from 'vue'

const service = axios.create({
  baseURL: 'https://some-domain.com/api/',
  timeout: 1000,
  headers: {'X-Custom-Header': 'foobar'},

});

/**
 * 请求拦截
 */
 service.interceptors.request.use(config => {
  console.log('请求拦截', config)
  config.headers['token'] = Vue.cookie.get('token')  // 请求头带上token
  return config
}, error => {
  return Promise.reject(error)
})

/**
 * 响应拦截
 */
 service.interceptors.response.use(response => {
  console.log('响应拦截', response)
  return response
}, error => {
  return Promise.reject(error)
})

export default service